Subject: Re: [PATCH v2] powerpc: Default to enabling STRICT_KERNEL_RWX

From: Michael Ellerman <[email-masked]>
Date: Tue, 10 Oct 2017 21:35:30 +1100

Kees Cook <[email-masked]> writes:

> When available, CONFIG_KERNEL_RWX should be default-enabled for PPC64.
> On PPC32, there is a performance trade-off.

Thanks for prodding us. But I think we need some more test cycles on
this before we make it the default.

As Balbir said it's currently not compatible with RELOCATABLE, which
means most folks aren't enabling it.

We also don't have good numbers on what the performance impact is on
64-bit. So although it almost certainly should be the default in future,
I'd still like us to have some idea of what it's costing us.

I'll try and get some perf numbers.

cheers